<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN"
        "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="ru" lang="ru">

<head>
	<title>Сообщения об ошибках</title>
	<meta http-equiv="content-type" content="text/html;charset=utf-8" />
	<meta http-equiv="Content-Style-Type" content="text/css" />

	<link rel="stylesheet" href="css/blueprint/screen.css" type="text/css" media="screen, projection" />
	<link rel="stylesheet" href="css/blueprint/print.css" type="text/css" media="print" />    
	<!--[if IE]><link rel="stylesheet" href="css/blueprint/ie.css" type="text/css" media="screen, projection" /><![endif]-->
</head>

<body>

<?php
try {
	$con = new PDO('mysql:host=localhost;dbname=databaseName', 'userName', 'password');
	$stm = $con->prepare('SELECT id, addtime, errmes, pageUrl FROM errorsdata');
	$stm->execute();
	$res = $stm->fetchAll(PDO::FETCH_ASSOC);
	if (count($res) == 0) {
		echo "Сообщения отсутствуют";
	}
	else {
		echo "<table summary=\"Эта таблица содержит сообщения об ошибках\">";
		echo "<caption>Сообщения об ошибках</caption>";
		echo "<tr>";
		echo "<th>#</th>";
		echo "<th>Текст с ошибкой</th>";
		echo "<th>Дата</th>";
		echo "<th>URL страницы</th>";
		echo "</tr>";
		$i = 0;
		foreach ($res as $row) {
			if ($i % 2 == 0) {
				echo "<tr>";
			}
			else {
				echo "<tr class=\"even\">";
			}
			echo "<td>".$row['id']."</td>";
			echo "<td>".$row['errmes']."</td>";
			echo "<td>".$row['addtime']."</td>";
			echo "<td><a href=\"".$row['pageUrl']."\">".$row['pageUrl']."</a></td>";
			echo "</tr>";
			$i++;
		}
		echo "</table>";
	}
}
catch (PDOException $e) {
	echo '<h1>Не могу подключиться к БД</h1>';
}

?>
</body>
</html>